class SkeletonRecorder {
  SimpleOpenNI context;
  int jointID;
  int userID;
  ArrayList frames;
  int currentFrame = 0;

  SkeletonRecorder(SimpleOpenNI context, int jointID ) {
    this.context = context;
    this.jointID = jointID;
    frames = new ArrayList();
  }
  
  void setUser(int userID) {
    this.userID = userID;  
  }

  void nextFrame() {
    currentFrame++;
    if (currentFrame == frames.size()) {
      currentFrame = 0;
    }
  }
  
  PVector getPosition() {
    return (PVector)((ArrayList)frames.get(currentFrame)).get(0);
  }
  
 PMatrix3D getOrientation() {
    return (PMatrix3D)((ArrayList)frames.get(currentFrame)).get(1);
  }

  void recordFrame() {
      ArrayList info = new ArrayList();
    PVector position = new PVector();
  
    context.getJointPositionSkeleton(userID, jointID, position);
    info.add(position);
    PMatrix3D orientation = new PMatrix3D();
    kinect.getJointOrientationSkeleton(userID, jointID, orientation);
    info.add(orientation);
    frames.add(info);
  }
}
